Bug 1414032 (korganizer) - Review Request: korganizer - Personal Organizer
Summary: Review Request: korganizer - Personal Organizer
Keywords:
Status: CLOSED RAWHIDE
Alias: korganizer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:08 UTC by Rex Dieter
Modified: 2017-01-23 17:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-23 17:33:29 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-01-17 15:08:05 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/korganizer.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/korganizer-16.12.1-1.fc25.src.rpm
Description: Personal Organizer
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2017-01-17 15:08:28 UTC
required kde-apps-16.12 dependencies are building now for rawhide.  Once in, I'll submit a scratch build.

Comment 2 Christian Dersch 2017-01-21 11:16:06 UTC
Requires: %{name}-libs%%{?_isa} = %{version}-%{release}

That should be "Requires: %{name}-libs%{?_isa} = %{version}-%{release}", otherwise isa macro is not evaluated and the packages do not install ;)

Comment 3 Christian Dersch 2017-01-21 21:34:27 UTC
Approved, you can fix the minor issues on import!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /etc/xdg/korganizer.knsrc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

===> Please fix this by removing %{_sysconfdir}/xdg/korganizer.knsrc from files

- ical2vcal script is broken (see rpmlint messages), fix the interpreter using sed

- Think about requiring hicolor-icon-theme (ownership)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

===> Are plugins => fine

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with Qt exception) LGPL (v2 or later) (with
     Qt exception)", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated", "LGPL", "GPL (v2 or later) (with Qt exception)", "GPL
     (v2.0)", "GPL (v2)". 13 files have unknown license. Detailed output of
     licensecheck in /home/review/1414032-korganizer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/kservices5/kontact,
     /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/128x128/apps, /usr/share/icons/hicolor/64x64,
     /usr/share/dbus-1/interfaces, /usr/share/icons/hicolor/256x256/apps,
     /usr/share/kontact/ksettingsdialog, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/scalable/apps, /usr/share/icons/hicolor,
     /usr/share/icons/oxygen/22x22/actions, /usr/share/kontact,
     /usr/share/icons/oxygen, /usr/share/dbus-1,
     /usr/share/icons/oxygen/16x16, /usr/share/config.kcfg,
     /usr/share/icons/oxygen/16x16/actions, /usr/share/icons/oxygen/22x22,
     /usr/share/icons/hicolor/128x128, /usr/share/doc/HTML,
     /usr/share/icons/hicolor/32x32, /usr/share/doc/HTML/en,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/256x256,
     /usr/share/kxmlgui5, /usr/share/icons/hicolor/scalable

==> You may require hicolor-icon-theme

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in korganizer
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.

===> ExclusiveArch: %{qt5_qtwebengine_arches} included as required

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 542720 bytes in 39 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     korganizer-libs , korganizer-debuginfo
[!]: Package functions as described.
===> ical2vcal broken, see rpmlint messages

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
==> qt5-qtwebengine forces us to ExclusiveArch: %{qt5_qtwebengine_arches}

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1187840 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: korganizer-16.12.1-1.fc26.x86_64.rpm
          korganizer-libs-16.12.1-1.fc26.x86_64.rpm
          korganizer-debuginfo-16.12.1-1.fc26.x86_64.rpm
          korganizer-16.12.1-1.fc26.src.rpm
korganizer.x86_64: W: non-conffile-in-etc /etc/xdg/korganizer.knsrc
korganizer.x86_64: E: wrong-script-interpreter /usr/bin/ical2vcal # THE ABOVE LINE SHOULD POINT TO YOUR PERL EXECUTABLE!
korganizer.x86_64: W: non-conffile-in-etc /etc/xdg/korganizer.renamecategories
korganizer.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/quickview.svgz
korganizer.x86_64: W: non-conffile-in-etc /etc/xdg/korganizer.categories
korganizer.x86_64: W: no-manual-page-for-binary ical2vcal
korganizer.x86_64: W: no-manual-page-for-binary korgac
korganizer.x86_64: W: no-manual-page-for-binary korganizer
korganizer-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
korganizer-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
korganizer-libs.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 10 warnings.

====> Looks like ical2vcal requires a modification (first line is a shebang without interpreter behind!), 
      you should change this to perl interpreter using sed in %install and maybe report upstream



Rpmlint (debuginfo)
-------------------
Checking: korganizer-debuginfo-16.12.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
korganizer.x86_64: W: non-conffile-in-etc /etc/xdg/korganizer.categories
korganizer.x86_64: W: non-conffile-in-etc /etc/xdg/korganizer.knsrc
korganizer.x86_64: W: non-conffile-in-etc /etc/xdg/korganizer.renamecategories
korganizer.x86_64: E: wrong-script-interpreter /usr/bin/ical2vcal # THE ABOVE LINE SHOULD POINT TO YOUR PERL EXECUTABLE!
korganizer.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/quickview.svgz
korganizer.x86_64: W: no-manual-page-for-binary ical2vcal
korganizer.x86_64: W: no-manual-page-for-binary korgac
korganizer.x86_64: W: no-manual-page-for-binary korganizer
korganizer-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
korganizer-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libkorganizer_interfaces.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5AkonadiCalendar.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5CalendarUtils.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5PimTextEdit.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5CalendarCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5KDELibs4Support.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Crash.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5KIOFileWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Bookmarks.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Solid.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Notifications.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5UnitConversion.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Parts.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libical.so.2
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libicalss.so.2
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Mime.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5KIOWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5KIOCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5JobWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libQt5PrintSupport.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5TextWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Completion.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5WindowSystem.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5SonnetUi.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5AkonadiCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5ItemModels.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5IconThemes.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5ConfigWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5WidgetsAddons.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5GuiAddons.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Codecs.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libQt5Xml.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5Auth.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libKF5ItemViews.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libQt5Network.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libQt5DBus.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_core.so.5.4.1 /lib64/libm.so.6
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5EventViews.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5CalendarSupport.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5CalendarUtils.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5IdentityManagement.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5PimTextEdit.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5CalendarCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Crash.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5KIOFileWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Bookmarks.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Solid.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Notifications.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5UnitConversion.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Parts.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libical.so.2
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libicalss.so.2
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Mime.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5KIOWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5KIOCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5JobWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5XmlGui.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libQt5PrintSupport.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5TextWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Completion.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5WindowSystem.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Service.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5SonnetUi.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5ItemModels.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5IconThemes.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5ConfigWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5WidgetsAddons.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5GuiAddons.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Codecs.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5ConfigGui.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5ConfigCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libQt5Xml.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5Auth.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5I18n.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libKF5ItemViews.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libQt5Network.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libQt5DBus.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libQt5Gui.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizer_interfaces.so.5.4.1 /lib64/libm.so.6
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5MessageComposer.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Crash.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5KIOFileWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Bookmarks.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Solid.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5UnitConversion.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Parts.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libical.so.2
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libicalss.so.2
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5MailTransport.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Libkleo.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libqgpgme.so.7
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libgpgmepp.so.6
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libpthread.so.0
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libgpgme.so.11
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5MessageCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Ldap.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5NewStuffCore.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Wallet.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5AkonadiMime.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libQt5PrintSupport.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5TextWidgets.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5SonnetUi.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Attica.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libQt5Network.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Codecs.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libQt5Xml.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5Auth.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libKF5GuiAddons.so.5
korganizer-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkorganizerprivate.so.5.4.1 /lib64/libm.so.6
korganizer-libs.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 119 warnings.



Requires
--------
korganizer (rpmlib, GLIBC filtered):
    /bin/sh
    korganizer-libs(x86-64)
    libKF5AkonadiCalendar.so.5()(64bit)
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiMime.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Bookmarks.so.5()(64bit)
    libKF5CalendarCore.so.5()(64bit)
    libKF5CalendarSupport.so.5()(64bit)
    libKF5CalendarUtils.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5EventViews.so.5()(64bit)
    libKF5GuiAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5IdentityManagement.so.5()(64bit)
    libKF5IncidenceEditor.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5ItemViews.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KDELibs4Support.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOFileWidgets.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5KdepimDBusInterfaces.so.5()(64bit)
    libKF5KontactInterface.so.5()(64bit)
    libKF5Libkdepim.so.5()(64bit)
    libKF5MailTransport.so.5()(64bit)
    libKF5Mime.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5PimTextEdit.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5Solid.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5UnitConversion.so.5()(64bit)
    libKF5Wallet.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libical.so.2()(64bit)
    libicalss.so.2()(64bit)
    libkorganizer_core.so.5()(64bit)
    libkorganizer_interfaces.so.5()(64bit)
    libkorganizerprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libphonon4qt5.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

korganizer-debuginfo (rpmlib, GLIBC filtered):

korganizer-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    korganizer
    libKF5AkonadiCalendar.so.5()(64bit)
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiMime.so.5()(64bit)
    libKF5AkonadiNotes.so.5()(64bit)
    libKF5AkonadiSearchPIM.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Attica.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Bookmarks.so.5()(64bit)
    libKF5CalendarCore.so.5()(64bit)
    libKF5CalendarSupport.so.5()(64bit)
    libKF5CalendarUtils.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5EventViews.so.5()(64bit)
    libKF5GuiAddons.so.5()(64bit)
    libKF5Holidays.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5IdentityManagement.so.5()(64bit)
    libKF5IncidenceEditor.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5ItemViews.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KCMUtils.so.5()(64bit)
    libKF5KDELibs4Support.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOFileWidgets.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5KdepimDBusInterfaces.so.5()(64bit)
    libKF5KontactInterface.so.5()(64bit)
    libKF5Ldap.so.5()(64bit)
    libKF5Libkdepim.so.5()(64bit)
    libKF5Libkleo.so.5()(64bit)
    libKF5MailCommon.so.5()(64bit)
    libKF5MailTransport.so.5()(64bit)
    libKF5MessageComposer.so.5()(64bit)
    libKF5MessageCore.so.5()(64bit)
    libKF5Mime.so.5()(64bit)
    libKF5NewStuff.so.5()(64bit)
    libKF5NewStuffCore.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5PimTextEdit.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5Solid.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5UnitConversion.so.5()(64bit)
    libKF5Wallet.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgpgme.so.11()(64bit)
    libgpgmepp.so.6()(64bit)
    libical.so.2()(64bit)
    libicalss.so.2()(64bit)
    libkorganizer_core.so.5()(64bit)
    libkorganizer_interfaces.so.5()(64bit)
    libkorganizerprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqgpgme.so.7()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)



Provides
--------
korganizer:
    appdata()
    appdata(org.kde.korganizer.appdata.xml)
    application()
    application(korganizer-import.desktop)
    application(org.kde.korganizer.desktop)
    korganizer
    korganizer(x86-64)
    mimehandler(text/calendar)

korganizer-debuginfo:
    korganizer-debuginfo
    korganizer-debuginfo(x86-64)

korganizer-libs:
    korganizer-libs
    korganizer-libs(x86-64)
    libkorganizer_core.so.5()(64bit)
    libkorganizer_interfaces.so.5()(64bit)
    libkorganizerprivate.so.5()(64bit)



Unversioned so-files
--------------------
korganizer-libs: /usr/lib64/qt5/plugins/kcm_apptsummary.so
korganizer-libs: /usr/lib64/qt5/plugins/kcm_korganizer.so
korganizer-libs: /usr/lib64/qt5/plugins/kcm_sdsummary.so
korganizer-libs: /usr/lib64/qt5/plugins/kcm_todosummary.so
korganizer-libs: /usr/lib64/qt5/plugins/kontact_journalplugin.so
korganizer-libs: /usr/lib64/qt5/plugins/kontact_korganizerplugin.so
korganizer-libs: /usr/lib64/qt5/plugins/kontact_specialdatesplugin.so
korganizer-libs: /usr/lib64/qt5/plugins/kontact_todoplugin.so
korganizer-libs: /usr/lib64/qt5/plugins/korganizerpart.so

Source checksums
----------------
http://download.kde.org/stable/applications/16.12.1/src/korganizer-16.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : 4c79c4670fa6406f28792381ee135617225ecc3c11333a184ecd4780bd5b05ed
  CHECKSUM(SHA256) upstream package : 4c79c4670fa6406f28792381ee135617225ecc3c11333a184ecd4780bd5b05ed


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1414032
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2017-01-23 16:04:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/korganizer

Comment 5 Rex Dieter 2017-01-23 17:33:29 UTC
imported, thanks.


Note You need to log in before you can comment on or make changes to this bug.